Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class AgentPropertyContactType

    java.lang.Object
      com.nortel.soa.oi.cct.types.AgentPropertyContactType

    public class AgentPropertyContactType

extends java.lang.Object

Java class for agentPropertyContactType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="agentPropertyContactType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="description" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="providerId" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="providerName" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`AgentPropertyContactType()`

Method Summary
`java.lang.String` | `getDescription()` Gets the value of the description property.
`java.lang.String` | `getName()` Gets the value of the name property.
`java.lang.String` | `getProviderId()` Gets the value of the providerId property.
`java.lang.String` | `getProviderName()` Gets the value of the providerName property.
`void` | `setDescription(java.lang.String value)` Sets the value of the description property.
`void` | `setName(java.lang.String value)` Sets the value of the name property.
`void` | `setProviderId(java.lang.String value)` Sets the value of the providerId property.
`void` | `setProviderName(java.lang.String value)` Sets the value of the providerName property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentPropertyContactType

    public AgentPropertyContactType()

Method Detail

### getName

    public java.lang.String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(java.lang.String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getDescription

    public java.lang.String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(java.lang.String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getProviderId

    public java.lang.String getProviderId()

  Gets the value of the providerId property.

  Returns:
    possible object is `String`

### setProviderId

    public void setProviderId(java.lang.String value)

  Sets the value of the providerId property.

  Parameters:
    `value` - allowed object is `String`

### getProviderName

    public java.lang.String getProviderName()

  Gets the value of the providerName property.

  Returns:
    possible object is `String`

### setProviderName

    public void setProviderName(java.lang.String value)

  Sets the value of the providerName property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.